<?php 
//wrap
$widget->add_render_attribute('wrap',[
	'class' => [
		'cms-ebanner', 
		'cms-ebanner-'.$widget->get_setting('layout'),
		'relative',
		$settings['class']
	]
]);
// content
ob_start();
	\Elementor\Icons_Manager::render_icon( $settings['icon'],['class' => 'absolute bg-accent text-white text-64 p-30 lh-0 '.$settings['icon_pos'] ]);
$content = ob_get_clean();
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
<?php
	wiseguard_elementor_image_render($settings,[
		'name'          => 'banner',
		'class'         => '',
		'img_class'     => $settings['img_class'].' img-cover',
		'custom_size'   => ['width' => 620, 'height' => 620],
		'max_height'	=> true,
		'as_background' => $settings['as_background'],
		'after'         => $content
	]);
?>
</div>