<?php 
//wrap
$widget->add_render_attribute('wrap',[
	'class' => [
		'cms-ebanner', 
		'cms-ebanner-'.$widget->get_setting('layout'),
		'relative',
		'pl-40',
		'hover-icon-bounce'
	]
]);
// icon
$icon_class = 'banner-icon cms-icon text-64 text-'.$widget->get_setting('heading_color','white');
// heading
$widget->add_render_attribute('heading_text',[
	'class' => [
		'cms-heading font-500 text-19 pt-20 ',
		'text-'.$widget->get_setting('heading_color','white')
	]
]);
//
// content
ob_start();
?>
<div class="cms-small-banner-content relative z-top">
	<?php
		\Elementor\Icons_Manager::render_icon( $settings['icon'],['class' => $icon_class]);
	?>
	<div <?php etc_print_html($widget->get_render_attribute_string('heading_text')); ?>><?php echo nl2br($settings['heading_text']) ?></div>
</div>
<?php
$small_banner_content = ob_get_clean();
// Small Banner
ob_start();
	wiseguard_elementor_image_render($settings,[
		'name'          => 'small_banner',
		'img_class'		=> '',
		'custom_size'   => ['width' => 200, 'height' => 133],
		'before'		=> '<div class="cms-small-banner ml-n40 cms-radius-tltrbl-10 overflow-hidden relative bg-accent"><div class="cms-gradient-accent-bt absolute top-left"><div class="cms-gradient-render"></div>',
		'after'			=> '</div>'.$small_banner_content.'</div>'
	]);
$content = ob_get_clean();
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
<?php
	wiseguard_elementor_image_render($settings,[
		'name'          => 'banner',
		'img_class'     => 'cms-radius-tlbl-16 p-tb-130',
		'custom_size'   => ['width' => 780, 'height' => 568],
		'as_background' => true,
		'content'       => $content
	]);
?>
</div>