<?php 
//wrap
$widget->add_render_attribute('wrap',[
	'class' => [
		'cms-ebanner', 
		'cms-ebanner-'.$widget->get_setting('layout'),
		'relative'
	]
]);
// icon
$icon_class = 'banner-icon flex-auto text-64 text-'.$widget->get_setting('heading_color','white');
// heading
$widget->add_render_attribute('heading_text',[
	'class' => [
		'cms-heading font-500 text-18 lh-1444',
		'text-'.$widget->get_setting('heading_color','white'),
		'flex-basic flex-smobile-full'
	]
]);
//
// content
ob_start();
?>
<div class="cms-banner-content cms-radius-tlbr-16 d-flex gap-30 p-lr-40 p-lr-smobile-20 p-tb-25 bg-secondary">
	<?php
		\Elementor\Icons_Manager::render_icon( $settings['icon'],['class' => $icon_class]);
	?>
	<div <?php etc_print_html($widget->get_render_attribute_string('heading_text')); ?>><?php echo nl2br($settings['heading_text']) ?></div>
</div>
<?php
$banner_content = ob_get_clean();
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
<?php
	wiseguard_elementor_image_render($settings,[
		'name'          => 'banner',
		'img_class'     => 'cms-radius-16 d-flex align-items-end justify-content-end',
		'custom_size'   => ['width' => 660, 'height' => 540],
		'as_background'	=> true,
		'content'       => $banner_content
	]);
?>
</div>