<?php 
//wrap
$widget->add_render_attribute('wrap',[
	'class' => [
		'cms-ebanner', 
		'cms-ebanner-'.$widget->get_setting('layout'),
		'relative'
	]
]);
// content
ob_start();
	wiseguard_elementor_image_render($settings,[
		'name'          => 'banner',
		'class'         => '',
		'img_class'     => 'visible-hidden',
		'custom_size'   => ['width' => 770, 'height' => 510]
	]);
$content = ob_get_clean();
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
<?php
	wiseguard_elementor_image_render($settings,[
		'name'          => 'banner',
		'class'         => '',
		'img_class'     => '',
		'custom_size'   => ['width' => 770, 'height' => 510],
		'as_background' => $settings['as_background'],
		'content'       => $content,
		'edge'		    => [
			'show_edge'   => 'top-left',
			'edge_color'  => $widget->get_setting('edge1_color', 'white'),
			'edge2_color' => $widget->get_setting('edge2_color', 'secondary'),
			'edge3_color' => $widget->get_setting('edge3_color', 'accent'),
		]
	]);
?>
</div>