<?php 
//wrap
$widget->add_render_attribute('wrap',[
	'class' => [
		'cms-ebanner', 
		'cms-ebanner-'.$widget->get_setting('layout')
	]
]);
// heading
$widget->add_inline_editing_attributes('heading_text');
$widget->add_render_attribute('heading_text',[
	'class' => [
		'cms-heading text-20',
		'text-'.$widget->get_setting('heading_color','heading'),
		'pt-35'
	]
]);
// Description
$widget->add_inline_editing_attributes('description_text');
$widget->add_render_attribute('description_text',[
	'class' => [
		'cms-desc text-16',
		'text-'.$widget->get_setting('description_color','body'),
		'pt-15'
	]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<?php
		wiseguard_elementor_image_render($settings,[
			'name'        => 'banner',
			'img_class'   => '',
			'custom_size' => ['width' => 230, 'height' => 157],
			'before' 	  => '<div class="cms--ebanner p-45 text-center bg-hover-accent cms-transition">',
			'after'		  => '</div>'	
		]);
	?>
	<div <?php etc_print_html($widget->get_render_attribute_string('heading_text')); ?>><?php echo nl2br($settings['heading_text']) ?></div>
	<div <?php etc_print_html($widget->get_render_attribute_string('description_text')); ?>><?php echo nl2br($settings['description_text']) ?></div>
</div>