<?php
$icons = $widget->get_setting('icons', []);
if(empty($icons)) return;
$widget->add_render_attribute('icons',[
	'class' => array_filter([
		'cms-eicons',
		'cms-eicons-'.$widget->get_setting('layout', '1'),
		'd-flex',
		'justify-content-'.$widget->get_setting('align', 'start'),
		!empty($widget->get_setting('align_tablet')) ? 'justify-content-tablet-'.$widget->get_setting('align_tablet') : '',
		!empty($widget->get_setting('align_mobile')) ? 'justify-content-mobile-'.$widget->get_setting('align_mobile') : ''
	])
]);
// Icon
$icon_class = implode(' ',[
	'cms-icon',
	'text-'.$widget->get_setting('color','secondary'),
	'text-hover-'.$widget->get_setting('color_hover','primary'),
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('icons')); ?>>
	<?php
	// Render icon
	foreach ( $settings['icons'] as $key => $value ) :
		$url = !empty($value['icon_link']['url']) ? $value['icon_link']['url'] : '#';
		\Elementor\Icons_Manager::render_icon( $value['cms_icon'], ['class' => $icon_class, 'href' => $url], 'a' );
	endforeach; 
	?>
</div>