<?php
use Elementor\Plugin;
use Elementor\Control_Media;
use Elementor\Group_Control_Image_Size;
use Elementor\Embed;
$widget->add_render_attribute('wrap', [
	'class' => [
		'cms-evideo',
		'cms-evideo-'.$widget->get_setting('layout', '1')
	]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<?php 
	    wiseguard_elementor_button_video_render($widget, $settings, [
			'name'       => 'video_link',
			'icon'       => $widget->get_setting('video_icon')['value'].' flex-auto',
			'text'       => $widget->get_setting('video_text'),
			'text_class' => 'flex-basic cms-hidden-tablet text-'.$widget->get_setting('video_text_color','body'),
			'layout'     => $widget->get_setting('btn-layout','1'),
			'class'      => 'text-16 lh-1625 d-flex gap-40 align-items-center',
	    ]);
	?>
</div>
