<?php
use Elementor\Plugin;
use Elementor\Control_Media;
use Elementor\Group_Control_Image_Size;
use Elementor\Embed;
$widget->add_render_attribute('wrap', [
	'class' => [
		'cms-evideo',
		'cms-evideo-'.$widget->get_setting('layout', '6'),
		'relative'
	]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
<?php 
    // Video Banner
	$settings['image']['id'] = !empty($settings['image']['id']) ? $settings['image']['id'] : get_post_thumbnail_id();
    wiseguard_elementor_image_render($settings, [
		'custom_size'   => ['width' => 1280,'height' => 853],
		'img_class'     => 'p-tb-362 p-tb-tablet-200',
		'before'        => '',
		'after'         => '',
		'as_background' => true,
		'content'       => wiseguard_elementor_button_video_render($widget, $settings, [
			'name'   => 'video_link',
			'icon'   => $widget->get_setting('video_icon')['value'],
			'text'   => $widget->get_setting('video_text'),
			'layout' => '7',
			'class'  => 'm-lr-auto circle',
			'echo'	 => false
	    ])	
    ]);
?>
</div>
