<?php
use Elementor\Plugin;
use Elementor\Control_Media;
use Elementor\Group_Control_Image_Size;
use Elementor\Embed;
$widget->add_render_attribute('wrap', [
	'class' => [
		'cms-evideo',
		'cms-evideo-'.$widget->get_setting('layout', '8'),
		'relative'
	]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
<?php 
    // Video Banner
	$settings['image']['id'] = !empty($settings['image']['id']) ? $settings['image']['id'] : get_post_thumbnail_id();
    wiseguard_elementor_image_render($settings, [
		'custom_size'   => ['width' => 730,'height' => 487],
		'img_class'     => '',
		'before'        => '',
		'after'         => '',
		'max_height'    => true,
		'after'         => wiseguard_elementor_button_video_render($widget, $settings, [
			'name'   => 'video_link',
			'icon'   => $widget->get_setting('video_icon')['value'],
			'text'   => $widget->get_setting('video_text','Watch Video!'),
			'layout' => $widget->get_setting('btn-layout','4'),
			'class'  => 'absolute bottom-right size-88 mb-40 mr-40',
			'echo'	 => false
	    ]),
	    'edge' => [
	    	'show_edge' => 'top-left'
	    ]
    ]);
?>
</div>
