<?php
// Silence is golden.
$args = [
    'title' => esc_html__('Footer', 'wiseguard'),
    'fields' => [
        'custom_footer' => [
            'type' => Theme_Core_Options::SWITCH_FIELD,
            'title' => esc_html__('Custom Layout', 'wiseguard'),
        ],
        'footer_layout_custom' => [
            'type' => Theme_Core_Options::SELECT_FIELD,
            'title' => esc_html__('Layout', 'wiseguard'),
            'description' => sprintf(esc_html__('To use this Option please %sClick Here%s to add your custom footer layout first.', 'wiseguard'), '<a href="' . esc_url(admin_url('edit.php?post_type=footer')) . '">', '</a>'),
            'options' => wiseguard_list_post('footer'),
            'default' => '',
            'required' => [
                'custom_footer',
                '=',
                '1'
            ],
        ],
    ]
];

return $args;