<?php
// Silence is Golden
add_filter('tco_cms-career_page_options_args', 'wiseguard_cms_career_options_args');
function wiseguard_cms_career_options_args(){
    $default       = true;
    $default_value = $default_on = $default_off = $default_width = '-1';
    $custom_opts   = true;


    $general = [
        'title' => esc_html__('General','wiseguard'),
        'sections' => [
            'general'    => wiseguard_post_career_opts(),
        ]
    ];
    
    $args = [  
        'general'    => $general,
        'header'     => [
            'title' => esc_html__('Header', 'wiseguard'),
            'fields' => array_merge(
                [
                    'header_custom' => wiseguard_theme_on_off_opts([
                        'title'         => esc_html__('Custom Header','wiseguard'),
                        'default'       => false,
                        'default_value' => 'off'
                    ]),
                    'header_transparent' => wiseguard_theme_on_off_opts([
                        'title'         => esc_html__('Header Transparent', 'wiseguard'),
                        'subtitle'      => esc_html__('Header transparent use with background.', 'wiseguard'),
                        'default'       => $default,
                        'default_value' => $default_value,
                        'required' => [
                            'header_custom',
                            '=',
                            'on'
                        ]
                    ])
                ]
            )
        ]
    ];

    return $args;
}