<?php
/**
 * Template part for displaying posts in loop
 *
 * @package WiseGuard
 */
?>
<article <?php post_class( 'cms-blog cms-shadow-1 cms-hover-shadow-2 cms-transition' ); ?>>
	<?php 
		wiseguard_entry_thumbnail([
			'size'      => 'large',
			'class'     => '',
			'img_class' => ''
		]);
	?>
	<div class="cms-post--content">
		<?php 
			wiseguard_post_meta([
				'class'     => 'cms-archive-meta d-flex gap-20 mb-30',
				'separator' => '<div class="separator"></div>'
			]);
			wiseguard_entry_title([
				'class' => 'mb-20 lh-1225 text-line-2'
			]);
			wiseguard_entry_excerpt(['class' => 'text-line-5']);
			wiseguard_entry_link_pages();
			wiseguard_entry_readmore();
		?>
	</div>
</article>