<?php
/**
 * Template part for displaying the primary menu of the site
 */
$menu_classes = ['cms-primary-menu'];
$menu_classes[] = !empty($args['menu_class']) ? $args['menu_class'] : 'cms-primary-menu-dropdown';
printf('%s', $args['before']);
	if ( has_nav_menu( 'primary' ) ) {
		wp_nav_menu( array(
			'theme_location' => 'primary',
			'container'      => '',
			'menu_id'        => 'mastmenu',
			'menu_class'     => wiseguard_nice_class($menu_classes),
			'walker'         => class_exists( 'EFramework_Mega_Menu_Walker' ) ? new EFramework_Mega_Menu_Walker : '',
		) );
	} else { 
		$menu_classes[] = 'primary-menu-not-set';
		printf(
	        '<ul class="%1$s"><li><a href="%2$s">%3$s</a></li></ul>',
	        wiseguard_nice_class($menu_classes),
	        esc_url( admin_url( 'nav-menus.php' ) ),
	        esc_html__( 'Create New Menu', 'wiseguard' )
	    );
	}
printf('%s', $args['after']);