<?php
//
$titles = wiseguard_get_page_titles();
ob_start();
if ( $titles['title'] ) {
	printf( '<h1 class="title font-700">%s</h1>', wp_kses_post( $titles['title'] ) );
}
$titles_html = ob_get_clean();

$breadcrumb_align = 'start';

$classes = [$args['class']];

if(wiseguard_is_woocommerce()){
    $classes[] = 'cms-ptitle-woo';
}
?>
<?php if ( ( (is_singular( 'post' ) || is_singular('product') || (class_exists('WooCommerce') && ( is_cart() || is_checkout() || is_account_page()) )) && $args['show_breadcrumb'] == 'on' ) ) { 
    $classes[] = 'single-post';
    ?>
    <div id="cms-ptitle" class="<?php echo wiseguard_nice_class($classes); ?>">
        <div class="<?php echo esc_attr($args['container']); ?> relative z-top">
			<?php wiseguard_breadcrumb([
                'icon_home' => '',
                'class'     => 'cms-breadcrumb-1 justify-content-'.$breadcrumb_align]
            ); ?>
        </div>
    </div>
<?php } else { ?>
    <div id="cms-ptitle" class="<?php echo wiseguard_nice_class($classes); ?>">
		<div class="<?php echo esc_attr($args['container']); ?> relative z-top">
			<?php if ($args['show_title'] == 'on') printf( '%s', wp_kses_post( $titles_html ) ); ?>
			<?php if ($args['show_breadcrumb'] == 'on') wiseguard_breadcrumb(['class' => 'justify-content-'.$args['ptitle_align']]); ?>
        </div>
    </div>
<?php } ?>