<?php
if(!function_exists('wiseguard_cmsi_icons')){
	add_filter('tco_icon_picker_options', 'wiseguard_cmsi_icons');  // add icon use in Theme Options
	add_filter('etc_icons_control_use_fontawesome', '__return_false'); // remove default font awesome use in Elementor Icon_Controls
	add_filter('etc_icons_control_custom_icons', 'wiseguard_cmsi_icons'); // add icon use in Elementor Icon_Controls
	add_filter('cms_mega_menu/get_icons', 'wiseguard_cmsi_icons'); // add icon use in Megamenu
	function wiseguard_cmsi_icons($icons){
		$cmsi_icons = [
			'CMS Icons' => [
				["cmsi-edge-left-up"             => "edge-left-up"],
				["cmsi-edge-right-up"            => "edge-right-up"],
				["cmsi-star"                     => "star"],
				["cmsi-alert"                    => "alert"],
				["cmsi-quote"                    => "quote"],
				["cmsi-external-link"            => "external-link"],
				["cmsi-comments1"                => "comments1"],
				["cmsi-comments"                 => "comments"],
				["cmsi-user1"                    => "user1"],
				["cmsi-user"                     => "user"],
				["cmsi-folder-open1"             => "folder-open1"],
				["cmsi-folder1"                  => "folder1"],
				["cmsi-folder-open"              => "folder-open"],
				["cmsi-folder"                   => "folder"],
				["cmsi-arrow-anchor"    		 => "arrow-anchor"],
				["cmsi-arrow-circle-alt-left"    => "arrow-circle-alt-left"],
				["cmsi-arrow-alt-circle-right"   => "arrow-alt-circle-right"],
				["cmsi-arrow-circle-right-32"    => "arrow-circle-right-32"],
				["cmsi-arrow-circle-right-2"     => "arrow-circle-right-2"],
				["cmsi-arrow-circle-left"        => "arrow-circle-left"],
				["cmsi-arrow-circle-right"       => "arrow-circle-right"],
				["cmsi-arrow-circle-left-large"  => "arrow-circle-left-large"],
				["cmsi-arrow-circle-right-large" => "arrow-circle-right-large"],
				["cmsi-arrow-left"               => "arrow-left"],
				["cmsi-arrow-right"              => "arrow-right"],
				["cmsi-long-arrow-left-2"        => "long-arrow-left-2"],
				["cmsi-long-arrow-right-2"       => "long-arrow-right-2"],
				["cmsi-long-arrow-up"            => "long-arrow-up"],
				["cmsi-long-arrow-down"          => "long-arrow-down"],
				["cmsi-long-arrow-left"          => "long-arrow-left"],
				["cmsi-long-arrow-right"         => "long-arrow-right"],
				["cmsi-arrow-prev"               => "arrow-prev"],
				["cmsi-arrow-next"               => "arrow-next"],
				["cmsi-check"                    => "check"],
				["cmsi-check-circle"             => "check-circle"],
				["cmsi-chevron-down"             => "chevron-down"],
				["cmsi-chevron-up"               => "chevron-up"],
				["cmsi-chevron-left"             => "chevron-left"],
				["cmsi-chevron-right"            => "chevron-right"],
				["cmsi-clock"                    => "clock"],
				["cmsi-download"                 => "download"],
				["cmsi-email"                    => "email"],
				["cmsi-facebook-messenger"       => "facebook-messenger"],
				["cmsi-facebook-square"          => "facebook-square"],
				["cmsi-facebook-circle-alt"      => "facebook-circle-alt"],
				["cmsi-facebook"                 => "facebook"],
				["cmsi-facebook-f"               => "facebook-f"],
				["cmsi-twitter-circle"           => "twitter-circle"],
				["cmsi-twitter-square"           => "twitter-square"],
				["cmsi-twitter"                  => "twitter"],
				["cmsi-instagram"                => "instagram"],
				["cmsi-linkedin-circle"          => "linkedin-circle"],
				["cmsi-linkedin-in"              => "linkedin-in"],
				["cmsi-linkedin"                 => "linkedin"],
				["cmsi-pinterest"                => "pinterest"],
				["cmsi-youtube"                  => "youtube"],
				["cmsi-map-marker"               => "map-marker"],
				["cmsi-phone-alt"                => "phone-alt"],
				["cmsi-phone"                    => "phone"],
				["cmsi-play-circle"              => "play-circle"],
				["cmsi-play"                     => "play"],
				["cmsi-plus"                     => "plus"],
				["cmsi-minus"                    => "minus"],
				["cmsi-plus-circle"              => "plus-circle"],
				["cmsi-minus-circle"             => "minus-circle"],
				["cmsi-remove-circle"            => "remove-circle"],
				["cmsi-remove"                   => "remove"],
				["cmsi-search"                   => "search"],
				["cmsi-shopping-cart"            => "shopping-cart"],
				["cmsi-sign-in-alt"              => "sign-in-alt"],
				["cmsi-sign-out-alt"             => "sign-out-alt"],
				["cmsi-pdf"                      => "pdf"],
				["cmsi-thumbtack"                => "thumbtack"],
				["cmsi-google-plus-g"            => "google-plus-g"],
				["cmsi-google-plus"              => "google-plus"],
				["cmsi-rss-square"               => "rss-square"],
				["cmsi-rss"                      => "rss"],
				["cmsi-skype"                    => "skype"],
				["cmsi-tumblr-square"            => "tumblr-square"],
				["cmsi-tumblr"                   => "tumblr"],
				["cmsi-vimeo-square"             => "vimeo-square"],
				["cmsi-vimeo-v"                  => "vimeo-v"],
				["cmsi-yelp"                     => "yelp"],
				["cmsi-spinner"                  => "spinner"]
			]
		];
		//return array_merge($icons, $cmsi_icons);
		$cmsi_icons = apply_filters('wiseguard_theme_icons', $cmsi_icons );
		return $cmsi_icons;
	}
}