<?php
use Elementor\Icons_Manager;
$widget->add_inline_editing_attributes( 'title' );
$title = $widget->get_setting('title', '');
$url = '#'.$widget->get_setting('anchor_id','cms-header-wrap');
//
$widget->add_render_attribute('wrap', [
	'class' => [
		'cms-anchor cms-anchor-'.$widget->get_setting('layout', '1'),
		'd-inline-block',
		'align-items-center',
		'font-700',
		'text-15',
		'text-center',
		'bg-primary',
		'text-white',
		'bg-hover-accent',
		'text-hover-white'
	],
	'title' => $title,
	'href'  => $url
]);
?>
<a <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>><?php 
	\Elementor\Icons_Manager::render_icon( $settings['selected_icon'], ['class' => 'd-block text-12 cms-transition'], 'i');
	echo wp_kses_post( $settings['title'] );
?></a>
