<?php 
//wrap
$widget->add_render_attribute('wrap',[
	'class' => [
		'cms-ebanner', 
		'cms-ebanner-'.$widget->get_setting('layout'),
		'relative',
		$widget->get_setting('class')
	]
]);
$as_background = $settings['as_background'] == 'yes' ? true : false;
$min_height = $settings['min_height'] == 'yes' ? true : false;
// content
ob_start();
	wiseguard_elementor_image_render($settings,[
		'name'          => 'banner',
		'class'         => '',
		'img_class'     => 'visible-hidden',
		'custom_size'   => ['width' => 620, 'height' => 500]
	]);
$content = ob_get_clean();
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
<?php
	wiseguard_elementor_image_render($settings,[
		'name'          => 'banner',
		'img_class'     => $settings['img_class'],
		'custom_size'   => ['width' => 620, 'height' => 500],
		'as_background' => $as_background,
		'content'		=> $content,
		'min_height'	=> $min_height
	]);
?>
</div>