<?php 
//wrap
$widget->add_render_attribute('wrap',[
	'class' => [
		'cms-ebanner', 
		'cms-ebanner-'.$widget->get_setting('layout'),
		'relative'
	]
]);
// default post thumbnail
$settings['banner']['id'] = !empty($settings['banner']['id']) ? $settings['banner']['id'] : get_post_thumbnail_id();
// Description
$widget->add_inline_editing_attributes('description_text');
$widget->add_render_attribute('description_text',[
	'class' => [
		'cms-desc text-17',
		'text-'.$widget->get_setting('description_color','body'),
		'pt-30'
	]
]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
	<?php
		wiseguard_elementor_image_render($settings,[
			'name'        => 'banner',
			'img_class'   => '',
			'custom_size' => ['width' => 840, 'height' => 560]
		]);
	?>
	<div <?php etc_print_html($widget->get_render_attribute_string('description_text')); ?>><?php echo nl2br($settings['description_text']) ?></div>
</div>