<?php
$widget->add_inline_editing_attributes( 'text', 'none' );
$page_link = $widget->get_setting('page_link','');

//Button
switch ($settings['link_type']) {
	case 'page':
		$page = !empty($page_link) ? get_page_by_path($page_link, OBJECT) : [];
		$url  = !empty($page) ? get_permalink($page->ID) : '#';
		break;
	
	default:
		$url = $widget->get_setting('link', ['url' => '#'])['url'];
		break;
}
$widget->add_render_attribute( 'button', [
	'class' => array_filter([
		'cms-link',
		'text-hover-secondary'
	]),
	'href'	=> $url
]);
// Icon
$icon_class = 'cms-btn-icon text-26 rtl-flip order-'.$widget->get_setting('icon_align','last');
if(!empty($settings['content_text'])){ 
?>
<div class="cms-content-text text-15 pb-35 text-<?php echo esc_attr($widget->get_setting('content_text_color','body-lighten')); ?>">
	<?php echo nl2br($settings['content_text']) ?>
</div>
<?php } ?>
<a <?php etc_print_html( $widget->get_render_attribute_string( 'button' ) ); ?>>
	<?php 
		// icon
		\Elementor\Icons_Manager::render_icon( $widget->get_setting('btn_icon',['library' => 'cmsi', 'value' => 'cmsi-arrow-circle-right']), [ 'aria-hidden' => 'true', 'class' => $icon_class ] ); 
		// text
		echo esc_html( $settings['text'] );
	?>
</a>