<?php 
use Elementor\Icons_Manager;
// Africa
$africa_title = $widget->get_setting('africa_title');
$africa_1 = $widget->get_setting('africa_1', []);
$africa_2 = $widget->get_setting('africa_2', []);
$africa_3 = $widget->get_setting('africa_3', []);
$africa_4 = $widget->get_setting('africa_4', []);

// Asia
$asia_title = $widget->get_setting('asia_title');
$asia_1 = $widget->get_setting('asia_1', []);
$asia_2 = $widget->get_setting('asia_2', []);
$asia_3 = $widget->get_setting('asia_3', []);
$asia_4 = $widget->get_setting('asia_4', []);

// Europe
$europe_title = $widget->get_setting('europe_title');
$europe_1 = $widget->get_setting('europe_1', []);
$europe_2 = $widget->get_setting('europe_2', []);
$europe_3 = $widget->get_setting('europe_3', []);
$europe_4 = $widget->get_setting('europe_4', []);
// Custom
$link_key_class = 'cms-fl-item text-secondary text-hover-accent';
?>
<div class="cms-find-location-item">
	<h3 class="cms-fl-title"><?php etc_print_html($africa_title); ?></h3>
	<div class="d-flex gutter" style="--gutter:14px;--gutter-tablet:14px;--gutter-mobile:14px;">
		<div class="col-3 col-mobile-6 col-smobile-12">
			<?php foreach($africa_1 as $key => $value){
				$link_key = $widget->get_repeater_setting_key( 'location_url', 'location_url', $key );
				$widget->add_render_attribute( $link_key, 'class', [$link_key_class] );
				$widget->add_link_attributes( $link_key, $value['location_url'] );
			?>
				<a <?php etc_print_html($widget->get_render_attribute_string( $link_key )); ?>>
					<?php 
						Icons_Manager::render_icon( $settings['selected_icon'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon' ] );
						etc_print_html($value['location_title']);
					?>
				</a>
			<?php } ?>
		</div>
		<div class="col-3 col-mobile-6 col-smobile-12">
			<?php foreach($africa_2 as $key => $value){
				$link_key = $widget->get_repeater_setting_key( 'location_url', 'location_url', $key );
				$widget->add_render_attribute( $link_key, 'class', [$link_key_class] );
				$widget->add_link_attributes( $link_key, $value['location_url'] );
			?>
				<a <?php etc_print_html($widget->get_render_attribute_string( $link_key )); ?>>
					<?php 
						Icons_Manager::render_icon( $settings['selected_icon'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon' ] );
						etc_print_html($value['location_title']);
					?>
				</a>
			<?php } ?>
		</div>
		<div class="col-3 col-mobile-6 col-smobile-12">
			<?php foreach($africa_3 as $key => $value){
				$link_key = $widget->get_repeater_setting_key( 'location_url', 'location_url', $key );
				$widget->add_render_attribute( $link_key, 'class', [$link_key_class] );
				$widget->add_link_attributes( $link_key, $value['location_url'] );
			?>
				<a <?php etc_print_html($widget->get_render_attribute_string( $link_key )); ?>>
					<?php 
						Icons_Manager::render_icon( $settings['selected_icon'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon' ] );
						etc_print_html($value['location_title']);
					?>
				</a>
			<?php } ?>
		</div>
		<div class="col-3 col-mobile-6 col-smobile-12">
			<?php foreach($africa_4 as $key => $value){
				$link_key = $widget->get_repeater_setting_key( 'location_url', 'location_url', $key );
				$widget->add_render_attribute( $link_key, 'class', [$link_key_class] );
				$widget->add_link_attributes( $link_key, $value['location_url'] );
			?>
				<a <?php etc_print_html($widget->get_render_attribute_string( $link_key )); ?>>
					<?php 
						Icons_Manager::render_icon( $settings['selected_icon'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon' ] );
						etc_print_html($value['location_title']);
					?>
				</a>
			<?php } ?>
		</div>
	</div>
</div>
<?php // Asia ?>
<div class="cms-find-location-item">
	<h3 class="cms-fl-title"><?php etc_print_html($asia_title); ?></h3>
	<div class="d-flex gutter" style="--gutter:14px;--gutter-tablet:14px;--gutter-mobile:14px;">
		<div class="col-3 col-mobile-6 col-smobile-12">
			<?php foreach($asia_1 as $key => $value){
				$link_key = $widget->get_repeater_setting_key( 'location_url', 'location_url', $key );
				$widget->add_render_attribute( $link_key, 'class', [$link_key_class] );
				$widget->add_link_attributes( $link_key, $value['location_url'] );
			?>
				<a <?php etc_print_html($widget->get_render_attribute_string( $link_key )); ?>>
					<?php 
						Icons_Manager::render_icon( $settings['selected_icon'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon' ] );
						etc_print_html($value['location_title']);
					?>
				</a>
			<?php } ?>
		</div>
		<div class="col-3 col-mobile-6 col-smobile-12">
			<?php foreach($asia_2 as $key => $value){
				$link_key = $widget->get_repeater_setting_key( 'location_url', 'location_url', $key );
				$widget->add_render_attribute( $link_key, 'class', [$link_key_class] );
				$widget->add_link_attributes( $link_key, $value['location_url'] );
			?>
				<a <?php etc_print_html($widget->get_render_attribute_string( $link_key )); ?>>
					<?php 
						Icons_Manager::render_icon( $settings['selected_icon'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon' ] );
						etc_print_html($value['location_title']);
					?>
				</a>
			<?php } ?>
		</div>
		<div class="col-3 col-mobile-6 col-smobile-12">
			<?php foreach($asia_3 as $key => $value){
				$link_key = $widget->get_repeater_setting_key( 'location_url', 'location_url', $key );
				$widget->add_render_attribute( $link_key, 'class', [$link_key_class] );
				$widget->add_link_attributes( $link_key, $value['location_url'] );
			?>
				<a <?php etc_print_html($widget->get_render_attribute_string( $link_key )); ?>>
					<?php 
						Icons_Manager::render_icon( $settings['selected_icon'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon' ] );
						etc_print_html($value['location_title']);
					?>
				</a>
			<?php } ?>
		</div>
		<div class="col-3 col-mobile-6 col-smobile-12">
			<?php foreach($asia_4 as $key => $value){
				$link_key = $widget->get_repeater_setting_key( 'location_url', 'location_url', $key );
				$widget->add_render_attribute( $link_key, 'class', [$link_key_class] );
				$widget->add_link_attributes( $link_key, $value['location_url'] );
			?>
				<a <?php etc_print_html($widget->get_render_attribute_string( $link_key )); ?>>
					<?php 
						Icons_Manager::render_icon( $settings['selected_icon'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon' ] );
						etc_print_html($value['location_title']);
					?>
				</a>
			<?php } ?>
		</div>
	</div>
</div>
<?php // Europe ?>
<div class="cms-find-location-item">
	<h3 class="cms-fl-title"><?php etc_print_html($europe_title); ?></h3>
	<div class="d-flex gutter" style="--gutter:14px;--gutter-tablet:14px;--gutter-mobile:14px;">
		<div class="col-3 col-mobile-6 col-smobile-12">
			<?php foreach($europe_1 as $key => $value){
				$link_key = $widget->get_repeater_setting_key( 'location_url', 'location_url', $key );
				$widget->add_render_attribute( $link_key, 'class', [$link_key_class] );
				$widget->add_link_attributes( $link_key, $value['location_url'] );
			?>
				<a <?php etc_print_html($widget->get_render_attribute_string( $link_key )); ?>>
					<?php 
						Icons_Manager::render_icon( $settings['selected_icon'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon' ] );
						etc_print_html($value['location_title']);
					?>
				</a>
			<?php } ?>
		</div>
		<div class="col-3 col-mobile-6 col-smobile-12">
			<?php foreach($europe_2 as $key => $value){
				$link_key = $widget->get_repeater_setting_key( 'location_url', 'location_url', $key );
				$widget->add_render_attribute( $link_key, 'class', [$link_key_class] );
				$widget->add_link_attributes( $link_key, $value['location_url'] );
			?>
				<a <?php etc_print_html($widget->get_render_attribute_string( $link_key )); ?>>
					<?php 
						Icons_Manager::render_icon( $settings['selected_icon'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon' ] );
						etc_print_html($value['location_title']);
					?>
				</a>
			<?php } ?>
		</div>
		<div class="col-3 col-mobile-6 col-smobile-12">
			<?php foreach($europe_3 as $key => $value){
				$link_key = $widget->get_repeater_setting_key( 'location_url', 'location_url', $key );
				$widget->add_render_attribute( $link_key, 'class', [$link_key_class] );
				$widget->add_link_attributes( $link_key, $value['location_url'] );
			?>
				<a <?php etc_print_html($widget->get_render_attribute_string( $link_key )); ?>>
					<?php 
						Icons_Manager::render_icon( $settings['selected_icon'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon' ] );
						etc_print_html($value['location_title']);
					?>
				</a>
			<?php } ?>
		</div>
		<div class="col-3 col-mobile-6 col-smobile-12">
			<?php foreach($europe_4 as $key => $value){
				$link_key = $widget->get_repeater_setting_key( 'location_url', 'location_url', $key );
				$widget->add_render_attribute( $link_key, 'class', [$link_key_class] );
				$widget->add_link_attributes( $link_key, $value['location_url'] );
			?>
				<a <?php etc_print_html($widget->get_render_attribute_string( $link_key )); ?>>
					<?php 
						Icons_Manager::render_icon( $settings['selected_icon'], [ 'aria-hidden' => 'true', 'class' => 'cms-icon' ] );
						etc_print_html($value['location_title']);
					?>
				</a>
			<?php } ?>
		</div>
	</div>
</div>