<?php
$cms_lists = $widget->get_setting('cms_list', []);
$cms_list7 = $widget->get_setting('cms_list7', []);
// Wrap
$widget->add_render_attribute('wrap',[
    'class' => array_filter([
        'cms-lists',
        'cms-lists-'.$widget->get_setting('layout','8'),
        'text-'.$widget->get_setting('title_color', 'body'),
        'font-700 text-15'
    ])
]);
$widget->add_render_attribute('wrap2',[
    'class' => array_filter([
        'cms-lists',
        'cms-lists-'.$widget->get_setting('layout','8 '),
        'text-'.$widget->get_setting('title_color', 'body'),
        'font-700 text-15',
        'mt-smobile-n30'
    ])
]);
?>
<div class="d-flex gutter flex-col-2 flex-col-smobile-1">
    <div <?php etc_print_html($widget->get_render_attribute_string('wrap')); ?>>
        <?php
        // HTML
        foreach ( $cms_lists as $key => $cms_list ):
        	$title_key = $widget->get_repeater_setting_key( 'title', 'cms_list', $key );
        	$widget->add_render_attribute( $title_key, [
                'class' => ['flex-basic']
            ]);
        ?>
            <div class="cms-list d-flex gap-20 cms-transition">
                <span class="flex-auto"><span class="cms-icon cmsi-check-circle text-22 text-<?php echo etc_print_html($widget->get_setting('icon_color', 'accent')); ?>"></span></span>
                <span <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>><?php echo esc_html( $cms_list['title'] ) ?></span>
            </div>
        <?php endforeach; ?>
    </div>
    <div <?php etc_print_html($widget->get_render_attribute_string('wrap2')); ?>>
        <?php
        // HTML
        foreach ( $cms_list7 as $key => $cms_list ):
            $title_key = $widget->get_repeater_setting_key( 'title', 'cms_list', $key );
            $widget->add_render_attribute( $title_key, [
                'class' => ['flex-basic']
            ]);
        ?>
            <div class="cms-list d-flex gap-20 cms-transition">
                <span class="flex-auto"><span class="cms-icon cmsi-check-circle text-22 text-<?php echo etc_print_html($widget->get_setting('icon_color', 'accent')); ?>"></span></span>
                <span <?php etc_print_html( $widget->get_render_attribute_string( $title_key ) ); ?>><?php echo esc_html( $cms_list['title'] ) ?></span>
            </div>
        <?php endforeach; ?>
    </div>
</div>