<?php
$rated = $widget->get_setting('star_rated', 100);
$widget->add_render_attribute('star_color', [
	'class' => [
		'cms-star-rate relative',
		'text-'.$widget->get_setting('star_color','body')
	]
]);
$widget->add_render_attribute('star_rated_color', [
	'class' => [
		'cms-star-rated absolute',
		'text-'.$widget->get_setting('star_rated_color','accent'),
	],
	'data-width' => $rated,
	'style' 	 => 'width:'.$rated.'%;'
]);
$widget->add_render_attribute('text_color', [
	'class' => [
		'flex-basic text-15 cms-text',
		'text-'.$widget->get_setting('text_color','body')
	]
]);

$widget->add_render_attribute('percent_text', [
	'class' => [
		'text-underline font-700',
		'text-'.$widget->get_setting('star_rated_color','accent')
	]
]);

?>
<div class="d-flex gap" style="--cms-gap:40px;--cms-gap-tablet:40px;--cms-gap-mobile:10px;">
	<div class="flex-auto flex-smobile-full">
		<div <?php etc_print_html($widget->get_render_attribute_string('star_color')); ?>>
		    <div <?php etc_print_html($widget->get_render_attribute_string('star_rated_color')); ?>></div>
		</div>
	</div>
	<div <?php etc_print_html($widget->get_render_attribute_string('text_color')); ?>>
		<span <?php etc_print_html($widget->get_render_attribute_string('percent_text')); ?>><?php 
			etc_print_html($widget->get_setting('percent','99.9%').' '.$widget->get_setting('percent_text','Customer Satisfaction'));
		?></span>
		<?php
			etc_print_html($widget->get_setting('percent_text2','based on 750+ reviews of 6,154 Completed Projects, and 2,194 Happy Customers trust us.'));
		?>
	</div>
</div>